# Get Datasource

## Description

This service is used to return a complete list of all partner datasources for the logged-in party.

***

## Request

### Restrictions

This service requires an authenticated user and can only be called after a successful partner login.

### Endpoint

```
GET https://<server-url>/api/v4/partner/datasources
```

### Parameters

| Parameter    | Location       | Description                                                                        |
| ------------ | -------------- | ---------------------------------------------------------------------------------- |
| `touchpoint` | Query / Header | The authentication token for the API session. Use `Thalamus-Token` for the header. |
| `token`      | Query / Header | The authentication token for the API session. Use `Thalamus-Token` for the header. |

### Full URL Example

```
https://<server-url>/api/v4/partner/datasources?touchpoint=test&token=...
```

### Request Body

This request does not have a body.

***

## Response

### ✅ Successful Response: `200 Ok`

* HTTP Status Code: `200 Ok`
* The full datasources information is returned

Example Response

```
{
    "datasources": [

        {
            "id": 10,
            "host": "ftp.thalamuslive.com",
            "user": "thtest",
            "password": "th123456",
            "workingDirectory": "/MARCELOM-TEST/physical_location",
            "processorType": 25006,
            "fileImportType": null,
            "dataSourceType": "FTP",
            "authenticationType": "PASSWORD",
            "touchpointCode": "REST02",
            "active": true,
            "privateKeyFile": "",
            "passphrase": "",
            "region": "",
            "reprocessingDays": null,
            "lastRunningTime": 1749668947000,
            "amountCalculated": true
        },
        {
            "id": 11,
            "host": "ftp.thalamuslive.com",
            "user": "thtest",
            "password": "th123456",
            "workingDirectory": "/MARCELOM-TEST/partner_sale",
            "processorType": 25011,
            "fileImportType": null,
            "dataSourceType": "FTP",
            "authenticationType": "PASSWORD",
            "touchpointCode": "RESTTP",
            "active": true,
            "privateKeyFile": "",
            "passphrase": "",
            "region": "",
            "reprocessingDays": -1,
            "lastRunningTime": 1749668947000,
            "amountCalculated": true
        },
        {
            "id": 12,
            "host": "ftp.thalamuslive.com",
            "user": "thtest",
            "password": "th123456",
            "workingDirectory": "/MARCELOM-TEST/ALL",
            "processorType": 25099,
            "fileImportType": null,
            "dataSourceType": "FTP",
            "authenticationType": "PASSWORD",
            "touchpointCode": "REST02",
            "active": true,
            "privateKeyFile": "",
            "passphrase": "",
            "region": "",
            "reprocessingDays": null,
            "lastRunningTime": 1749668947000,
            "amountCalculated": true
        }
    ]
}
```

### ❌ Unsuccessful Response: `400 Bad Request`

* HTTP Status Code: `400 Bad Request`
* Body: A JSON object containing details about the error.

Example Response

```
{
  "errors": {
    "partnerDataSource": "TouchpointCodeRequired",
    "partnerDataSource": "InvalidTouchpointCode"
  }
}
```
